import DocumentLibrary
import Document

# Import any custom changes made on the fly
# This allows application-specific changes without
# changing the product source.
try:
    import Custom
except:
    pass

def initialize(context):
    """Initialize Document Library Product"""

    context.registerClass(
        DocumentLibrary.DocumentLibrary,
        constructors = ( 
            DocumentLibrary.manage_addDocumentLibraryForm, 
            DocumentLibrary.manage_addDocumentLibrary
        ),
        permission = 'Add Document Libraries',
        icon = 'www/DocumentLibrary_icon.gif'
    )

    context.registerClass(
        Document.Document,
        constructors = (
            Document.manage_addDocumentForm,
            Document.manage_addDocument
        ),
        permission = 'Add Document Library Files'
    )
